#
# Copyright (C) 2010 EPFL (Ecole Polytechnique fédérale de Lausanne)
# Transport and Mobility Laboratory (Transp-OR)
#
# This file is part of Cobi.
#
# Cobi is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 3 of the License, or (at your option) any later
# version.
#
# Cobi is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Cobi; if not, write to the Free Software Foundation, Inc., 59 Temple Place,
# Suite 330, Boston, MA 02111-1307 USA.
#
# Author: Javier Cruz-Mota
#         javier.cruz{AT}epfl.ch
#         http://transp-or2.epfl.ch/pagesPerso/javier.php
#
TEMPLATE = app
TARGET = Cobi
QT += core \
    gui \
    opengl
HEADERS += OutputQualityWindow.h \
    WriteVideoThread.h \
    VideoData.h \
    ReadVideoThread.h \
    ReadBufferWindow.h \
    ProcessVideoThread.h \
    CobiImage.h \
    LoadWindow.h \
    InfoWindow.h \
    Cobi.h
SOURCES += OutputQualityWindow.cpp \
    WriteVideoThread.cpp \
    VideoData.cpp \
    ReadVideoThread.cpp \
    ReadBufferWindow.cpp \
    ProcessVideoThread.cpp \
    CobiImage.cpp \
    LoadWindow.cpp \
    InfoWindow.cpp \
    main.cpp \
    Cobi.cpp
FORMS += OutputQualityWindow.ui \
    ReadBufferWindow.ui \
    LoadWindow.ui \
    InfoWindow.ui \
    Cobi.ui
INCLUDEPATH += /usr/include/ffmpeg \
			/usr/local/include/opencv
LIBS += -lavcodec \
    -lavformat \
    -lm \
    -lz \
    -lswscale \    
    -lcxcore -lcv -lhighgui -lcvaux -lml
